<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
 	<%@include file="../../../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{width: 100px;}
	body{
		overflow: hidden;
		padding: 15px;
	}
	#LIKEjiLianCode + span,
	#LIKEjiLianCode + span input{
		 width: 416px !important;
	}
	.help-span  {
		cursor: help;
	}
	.icon-help {
		display: inline-block;
		width: 16px;
		height: 16px;
		margin-left: -15px;
		margin-right: 3px;
		vertical-align: text-top;
	}
	.img-btn {
  		display: inline-block;
  		width: 25px;
  		height: 16px;
  		vertical-align: middle;
  		margin-left: -45px;
  		position: relative;
	}
	</style>
</head>
<body>
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must"></em>卡口编号：</span> 
			<input id="lkbh" class="easyui-textbox" data-options="required:true" missingMessage="路口编号必填项" readonly="readonly"> 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>外部编码：</span> 
			<input id="wbbh" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>卡口名称：</span> 
			<input id="lkmc" style="width:416px;"  class="easyui-textbox" data-options="required:true" missingMessage="路口名称必填项" readonly="readonly"> 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>行政目录：</span> 
			<input id="xzbh" class="easyui-textbox"  readonly="readonly"> 
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>机构名称：</span> 
			<input id="bmbh" class="easyui-textbox" data-options="required:true" missingMessage="机构名称必填项" readonly="readonly"> 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>是否测速：</span> 
			<input id="sfccs"  class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly">
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>是否测违章：</span> 
			<input id="sfcwz" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>最高时速：</span> 
			<input id="zgss" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>最低时速：</span> 
			<input id="zdss" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>经度：</span> 
			<input id="jd" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>纬度：</span> 
			<input id="wd" class="easyui-textbox" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="bz" class="easyui-textbox" style="width:416px;height:50px;" data-options="required:false" missingMessage="必填项"  readonly="readonly"> 
		</div> 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var wId = $.getUrlParam("winId") ;
var record = top.$("#"+wId).panel("options").data;
$(function(){
	initForms();
});
function initForms(){
	if(record){
		$('#lkbh').textbox('textbox').attr('readonly',true); 
		$("#lkbh").textbox("setValue",record.lkbh || "");
		$("#wbbh").textbox("setValue",record.wbbh || "");
		$("#lkmc").textbox("setValue",record.lkmc || "");
		$("#zgss").textbox("setValue",record.zgss  );
		$("#zdss").textbox("setValue",record.zdss  );
		$("#jd").textbox("setValue",record.jd || "");
		$("#wd").textbox("setValue",record.wd || "");
		$("#bz").textbox("setValue",record.bz || "");
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ptxzsAction!query_Ptxzs.do?xzbh='+record.xzbh,
			success:function(data){
				if(data&&data.length>0){
					$("#xzbh").textbox("setValue",data[0].xzmc); 
				}
			}
		});	
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ptyhbmAction!query_Ptyhbm.do?bmbh='+record.bmbh,
			success:function(data){
				if(data&&data.length>0){
					$("#bmbh").textbox("setValue",data[0].bmmc); 
				}
			}
		});	
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'xtclAction!query_Xtcl.do?csdl=speedMonitorFlag&csdm='+record.sfccs,
			success:function(data){
				if(data&&data.length>0){
					$("#sfccs").textbox("setValue",data[0].csmc); 
				}
			}
		});	
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'xtclAction!query_Xtcl.do?csdl=violationMonitorFlag&csdm='+record.sfcwz,
			success:function(data){
				if(data&&data.length>0){
					$("#sfcwz").textbox("setValue",data[0].csmc); 
				}
			}
		});	
	}else{
		var datenow = new Date();
	}
}
</script>
